<?php
App::uses('Component', 'Controller');

class AdviralMediaPixelComponent extends Component {

	protected $_controller = null;

/**
 * Sets a reference to the calling controller from within the component.
 *
 * @see Component::initialize()
 */
	public function initialize(Controller $controller) {
		parent::initialize($controller);
		$this->_controller = $controller;
	}

/**
 * Returns a URL for Adviral Media pixel tracking.
 *
 * @param string $salesRef Sales ref/Order ID
 * @param float $totalCost Total cost
 * @param string $voucherCode Voucher code
 * @param string $currency Currency code
 * @return string
 */
	public function trackingUrl($salesRef, $totalCost, $voucherCode = '', $currency = null) {
		$currency = $currency ?: CakeNumber::defaultCurrency();
		$params = [
			'r' => $salesRef,
			'a' => $totalCost,
			'v' => $voucherCode,
			'c' => $currency
		];

		return 'https://tracking.adviralmedia.com/pixel/1054/?' . http_build_query($params);
	}

}
